<?php
namespace Mochabear\EasySocialLinks\Includes;

if( ! defined( 'ABSPATH' ) ) die('Not allowed');

class MBESL_Base {
	protected $settings_option = "mbesl-settings";
	protected $social_media = array(
		"amazon" => array(
			"label" => "Amazon",
			"icon" => "amazon",
			"url" => "https://amazon.com/",
		),
		"bandcamp" => array(
			"label" => "Bandcamp",
			"icon" => "bandcamp",
			"url" => "https://bandcamp.com/",
		),
		"behance" => array(
			"label" => "Behance",
			"icon" => "behance",
			"url" => "https://behance.com/",
		),
		"deviantart" => array(
			"label" => "DeviantArt",
			"icon" => "deviantart",
			"url" => "https://deviantart.com/",
		),
		"discord" => array(
			"label" => "Discord",
			"icon" => "discord",
			"url" => "https://discord.com/",
		),
		"dropbox" => array(
			"label" => "Dropbox",
			"icon" => "dropbox",
			"url" => "https://dropbox.com/",
		),
		"etsy" => array(
			"label" => "Etsy",
			"icon" => "etsy",
			"url" => "https://etsy.com/",
		),
		"facebook" => array(
			"label" => "Facebook",
			"icon" => "facebook",
			"url" => "https://facebook.com/",
		),
		"flickr" => array(
			"label" => "flickr",
			"icon" => "flickr",
			"url" => "https://flickr.com/",
		),
		"github" => array(
			"label" => "GitHub",
			"icon" => "github",
			"url" => "https://github.com/",
		),
		"instagram" => array(
			"label" => "Instagram",
			"icon" => "instagram",
			"url" => "https://instagram.com/",
		),
		"meetup" => array(
			"label" => "Meetup",
			"icon" => "meetup",
			"url" => "https://meetup.com/",
		),
		"patreon" => array(
			"label" => "Patreon",
			"icon" => "patreon",
			"url" => "https://patreon.com/",
		),
		"paypal" => array(
			"label" => "PayPal",
			"icon" => "paypal",
			"url" => "https://paypal.com/",
		),
		"pinterest" => array(
			"label" => "Pinterest",
			"icon" => "pinterest",
			"url" => "https://pinterest.com/",
		),
		"reddit" => array(
			"label" => "Reddit",
			"icon" => "reddit",
			"url" => "https://reddit.com/",
		),
		"skype" => array(
			"label" => "Skype",
			"icon" => "skype",
			"url" => "https://skype.com/",
		),
		"slack" => array(
			"label" => "Slack",
			"icon" => "slack",
			"url" => "https://slack.com/",
		),
		"snapchat" => array(
			"label" => "Snapchat",
			"icon" => "snapchat",
			"url" => "https://snapchat.com/",
		),
		"soundcloud" => array(
			"label" => "SoundCloud",
			"icon" => "soundcloud",
			"url" => "https://soundcloud.com/",
		),
		"tumblr" => array(
			"label" => "Tumblr",
			"icon" => "tumblr",
			"url" => "https://tumblr.com/",
		),
		"twitter" => array(
			"label" => "Twitter",
			"icon" => "twitter",
			"url" => "https://twitter.com/",
		),
		"twitch" => array(
			"label" => "Twitch",
			"icon" => "twitch",
			"url" => "https://twitch.com/",
		),
		"vimeo" => array(
			"label" => "Vimeo",
			"icon" => "vimeo",
			"url" => "https://vimeo.com/",
		),
		"weibo" => array(
			"label" => "Weibo",
			"icon" => "weibo",
			"url" => "https://weibo.com/",
		),
		"whatsapp" => array(
			"label" => "WhatsApp",
			"icon" => "whatsapp",
			"url" => "https://whatsapp.com/",
		),
		"youtube" => array(
			"label" => "YouTube",
			"icon" => "youtube",
			"url" => "https://youtube.com/",
		),
	);
	protected $templates = array(
		"basic" => array(
			"label" => "Basic",
		),
	);

	function __construct() {
		$this->plugins_url = plugins_url('easy-social-links');
	}
}