<?php 
global $mbesl;
?>
<div id="easy-social-links-interface" class="flex-grid">

	<div class="easy-social-links-interface-header col">
		<h2>Easy Social Links</h2>
	</div>

	<div class="social-media-selection col">
		<div id="mbesl-instructions" class="hidden">
			<p>Enable a social media platform to get started.</p>
		</div>
		<div id="social-medias">
			<?php $mbesl->Submenu->build_social_medias(); ?>
		</div>
	</div>

	<div class="right-side col">
		<div class="mbesl-preview-container hidden">
			<h2>Preview</h2>
			<div id="mbesl-preview">
				
			</div>
		</div>

		<div class="mbesl-shortcode-container">
			<h2>Shortcode</h2>
			<input type="text" value="[easy_social_links]" id="mbesl-shortcode" class="small" />
			<a href="#" id="mbesl-shortcode-copy" class="button-secondary" href="" title="Copy shortcode"><i class="fa fa-files-o" aria-hidden="true"></i></a>
		</div>

		<div class="mbesl-options">
			<h2>Options</h2>

			<p>
				<label for="mbesl-open-in-new-tab">Open links in new tab</label>
				<input type="checkbox" id="mbesl-open-in-new-tab" name="mbesl-open-in-new-tab" <?php echo isset($settings['generalOptions']->openInNewTab) && $settings['generalOptions']->openInNewTab == "true" ? 'checked="checked"' : ""; ?> />
			</p>
		</div>
		<div class="mbesl-style">
			<h2>Style</h2>
			<p>
				<label for="mbesl-template">Template</label>
				<select id="mbesl-template" name="mbesl-template">
				<?php
				foreach ($templates as $id => $template) {
					echo "<option value='{$id}'>{$template['label']}</option>";
				}
				?>
				</select>
			<p>
		</div>

		<div class="card donate-card">
			<p>
				<i class="fa fa-handshake-o fa-2x" aria-hidden="true"></i>
			</p>
			<p>
				Please consider making a donation if you find this plugin useful
			</p>
			<p>
				<form action="https://www.paypal.com/donate" method="post" target="_top">
					<input type="hidden" name="hosted_button_id" value="2VTRUM4SX87CA" />
					<input type="image" src="https://www.paypalobjects.com/en_US/i/btn/btn_donate_SM.gif" border="0" name="submit" title="PayPal - The safer, easier way to pay online!" alt="Donate with PayPal button" />
					<img alt="" border="0" src="https://www.paypal.com/en_US/i/scr/pixel.gif" width="1" height="1" />
				</form>
			</p>
		</div>

	</div>
	<div id="mbesl-status"></div>
</div>


<style>
	/* add external css for templates */
.mbesl-template-button li {
}
</style>